This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 309271 - Capture not working?
Capture not working?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-09-27 12:34 EDT by Zack Cerza
Modified: 2009-01-08 23:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:54:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2007-09-27 12:34:00 EDT
Description of problem:
Both 'Test' buttons in the 'Audio Conferencing' section of
The capture 'Test' button in gnome-sound-properties shows this error after a few
seconds:

Failed to construct test pipeline for 'gconfaudiosrc ! audioconvert !
audioresample ! gconfaudiosink profile=chat'


Version-Release number of selected component (if applicable):
alsa-plugins-pulseaudio-1.0.14-3.fc8
pulseaudio-libs-0.9.7-0.13.svn20070925.fc8
pulseaudio-utils-0.9.7-0.13.svn20070925.fc8
pulseaudio-0.9.7-0.13.svn20070925.fc8
pulseaudio-libs-glib2-0.9.7-0.13.svn20070925.fc8
pulseaudio-module-gconf-0.9.7-0.13.svn20070925.fc8
pulseaudio-module-x11-0.9.7-0.13.svn20070925.fc8
gstreamer-plugins-pulse-0.9.5-0.4.svn20070924.fc8
pulseaudio-esound-compat-0.9.7-0.13.svn20070925.fc8
Comment 1 Zack Cerza 2007-10-10 14:29:25 EDT
Right now it's just the Test button for Capture that doesn't work. Here's what
happens:

1. I click the button.
2. The button stays depressed for a few seconds.
3. A dialog pops up with this error message: "Failed to construct test pipeline
for 'gconfaudiosrc ! audioconvert ! audioresample ! gconfaudiosink profile=chat'"
4. A horrible reverberating feedback sound begins to play. Usually closing the
dialog stops it, but sometimes not.
5. Any sound played while the feedback is audible feeds into it.
6. Muting the input device in pavucontrol stops the feedback sound, but unmuting
it allows it to return.
Comment 2 Matthias Clasen 2007-10-10 15:18:36 EDT
I can confirm that the Test button for capture doesn't work when Pulseaudio is
selected, but the error i get is a bit differnt:

gconfaudiosrc ! audioconvert ! audioresample ! gconfaudiosink profile=chat:
Failed to connect stream: OK
Comment 3 Matthias Clasen 2007-10-10 15:20:38 EDT
On the cmdline, I see

sound-properties-Message: Error running pipeline 'gconfaudiosrc ! audioconvert !
audioresample ! gconfaudiosink profile=chat': Failed to connect stream: OK
[pulsesrc.c(427): gst_pulsesrc_prepare (): /pipeline0/gconfaudiosrc0/bin1/pulsesrc0]
Comment 4 Lennart Poettering 2007-10-15 13:03:56 EDT
Hmm, I am not even sure if that can ever work, because the pipeline is missing a
delay element. At least in older GST this did not work properly unless you had
some very special buffering set up. I will check this out and look what the
current status of this is.
Comment 5 Matthias Clasen 2007-10-23 12:55:16 EDT
Should not be a blocker, according to Lennart. Also pretty much unfixable.
Downgrading to target.
Comment 6 Zack Cerza 2007-10-23 13:21:26 EDT
Lennart, is it only the Test button that won't work, or are you saying sound
capture is broken?
Comment 7 Bug Zapper 2008-04-04 09:55:54 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Zack Cerza 2008-04-04 11:13:06 EDT
Yeah, sound capture still doesn't work at all even in rawhide. Let alone the
capplet.
Comment 9 Bug Zapper 2008-11-26 02:51:38 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-08 23:54:55 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.